Loading...
Searching...
No Matches
Globus XIO Net Manager Driver
Net Manager

Net Manager XIO Driver. More...

## Enumerations

enum | globus_xio_net_manager_cntl_t { GLOBUS_XIO_NET_MANAGER_SET_TASK_ID , GLOBUS_XIO_NET_MANAGER_GET_TASK_ID }

## Functions

globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_NET_MANAGER_SET_TASK_ID, const char *task_id)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_NET_MANAGER_GET_TASK_ID, const char **task_id)

## Detailed Description

Net Manager XIO Driver.

The Globus XIO Network Manager Driver interfaces with the globus_net_manager library to integrate network manager functionality within the globus_xio network stack. The list of network managers and their options are configured by calling the GLOBUS_XIO_SET_STRING_OPTIONS attr_cntl with a string of attributes. The attribute names "task-id", "service", and "manager" are handled by this driver. Other attributes are interpreted as the attributes to pass on the most recently parsed value of the "manager" attribute. For example:

    manager=first;arg=foo;another-arg=bar;manager=second;yet-another=baz

will create a context containing the network managers "first" and "second". It will synthesize network manager attributes (scope, name, value) containing:

(first, arg, foo)

(first, another-arg, bar)

(second, yet-another, baz)

and pass these, along with transport-specific attributes, to the network managers when their functions are called.

## Enumeration Type Documentation

## globus_xio_net_manager_cntl_t

enum globus_xio_net_manager_cntl_t

doxygen varargs filter stuff Network driver specific cntls

Enumerator
GLOBUS_XIO_NET_MANAGER_SET_TASK_ID | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_NET_MANAGER_GET_TASK_ID | See usage for: globus_xio_attr_cntl

## Function Documentation

## globus_xio_attr_cntl() [1/2]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_NET_MANAGER_GET_TASK_ID | ,
|  | const char ** | task_id
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the task id associated with this XIO handle.

## globus_xio_attr_cntl() [2/2]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_NET_MANAGER_SET_TASK_ID | ,
|  | const char * | task_id
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the task id associated with this XIO handle.